#include "protheus.ch"

// *********************************************************************** //
// GP060HCRE - Ponto de entrada criar campos no cashflow contas a receber  //
// @copyright (c) 2021-10-27 > Marcelo da Cunha > GDVIEW                   //
// *********************************************************************** //

User Function GP060HCRE()
	*********************
	LOCAL aRetu := {}, aSX3 := {}
	GDVFW():addHdr(@aRetu,{"MSTATUS","E1_CAMPO_DO_CLIENTE","E1_FILORIG","E1_PORTADO","E1_SITUACA",;
		"E1_NUMBOR","E1_PREFIXO","E1_NUM","E1_PARCELA","E1_TIPO","E1_CLIENTE","E1_LOJA","E1_NOMCLI",;
		"E1_EMISSAO","E1_VENCTO","E1_VENCREA","E1_VALOR","E1_SALDO"})
	aSX3 := TamSX3("E1_SALDO")
	aadd(aRetu,{"A Receber","MRECEBER",PesqPict("SE1","E1_SALDO"),aSX3[1],aSX3[2],"","","N","",""})
	GDVFW():addHdr(@aRetu,{"E1_BAIXA","E1_HIST","E1_PEDIDO","E1_GDVPROJ","E1_SERIE","E1_BORDERO",;
		"E1_VEND1","E1_FILIAL","E1_FLUXO","E1_IRRF","E1_CSLL","E1_PIS","E1_COFINS"})
Return aRetu
