#include "protheus.ch"
#include "topconn.ch"

// *********************************************************************** //
// MBRWBTN - Controle de acesso nas rotinas por usurio                    //
// @copyright (c) 2014-02-25 > Marcelo da Cunha > GDVIEW                   //
// *********************************************************************** //

User Function MBRWBTN()
	********************
	LOCAL lRetu := .T., lRotina := .F., cQuery := ""
	LOCAL cRotina := Upper(AllTrim(FunName()))
	LOCAL cNomUsu := Alltrim(cUserName), aSeg := GetArea()
	LOCAL cBotao  := Alltrim(Str(paramixb[3]))

    // Monto query para enviar ao banco de dados
	If !FWIsAdmin(RetCodUsr()).and.AliasIndic("ZGR")
		lRetu := .F.
		cQuery := "SELECT ZGR_USUARI,ZGR_ACESSO FROM "+RetSqlName("ZGR")+" X "
		cQuery += "WHERE X.D_E_L_E_T_ = '' AND X.ZGR_FILIAL = '"+xFilial("ZGR")+"' "
		cQuery += "AND X.ZGR_ROTINA = '"+cRotina+"' AND X.ZGR_MSBLQL <> '1' "
		cQuery := ChangeQuery(cQuery)
		If (Select("MVAL") <> 0)
			dbSelectArea("MVAL")
			dbCloseArea()
		Endif
		TCQuery cQuery NEW ALIAS "MVAL"
		dbSelectArea("MVAL")
		While !MVAL->(Eof())
			lRotina := .T.
			If ((Left(MVAL->ZGR_usuari,1) == "*").or.(cNomUsu $ MVAL->ZGR_usuari)).and.((Left(MVAL->ZGR_acesso,1) == "*").or.(cBotao $ MVAL->ZGR_acesso))
				lRetu := .T.
				Exit
			Endif
			MVAL->(dbSkip())
		Enddo
		If (Select("MVAL") <> 0)
			dbSelectArea("MVAL")
			dbCloseArea()
		Endif
		If (lRotina)
			If (!lRetu)
				Help("",1,"GDVIEW",,OemToAnsi("Voc no possui acesso para realizar a operao "+cBotao+" !"),1,0)
			Endif
		Else
			lRetu := .T.
		Endif
		RestArea(aSeg)
	Endif

Return lRetu
